Subject: Re: linux-next: build failure after merge of the vfs-brauner tree

From: Stephen Rothwell <[email-masked]>
Date: Fri, 28 Nov 2025 11:04:10 +1100

Hi all,

On Mon, 17 Nov 2025 13:16:40 +1100 Stephen Rothwell <[email-masked]> wrote:
>
> On Sun, 16 Nov 2025 17:23:15 -0500 Jeff Layton <[email-masked]> wrote:
> >
> > Thanks Stephen. This patch should fix it.
> > 
> > Christian, you can either fold this into 1602bad16d7d, or I can send it
> > separately. Let me know which you prefer.
> > 
> > Thanks,
> > 
> > ----------------8<----------------------
> > 
> > vfs: add needed headers for new struct delegation definition
> > 
> > The definition of struct delegation uses stdint.h integer types. Add the
> > necessary headers to ensure that always works.
> > 
> > Fixes: 1602bad16d7d ("vfs: expose delegation support to userland")
> > Signed-off-by: Jeff Layton <[email-masked]>
> > ---
> >  include/uapi/linux/fcntl.h | 5 +++++
> >  1 file changed, 5 insertions(+)
> > 
> > diff --git a/include/uapi/linux/fcntl.h b/include/uapi/linux/fcntl.h
> > index 008fac15e573..5e277fd955aa 100644
> > --- a/include/uapi/linux/fcntl.h
> > +++ b/include/uapi/linux/fcntl.h
> > @@ -4,6 +4,11 @@
> >  
> >  #include <asm/fcntl.h>
> >  #include <linux/openat2.h>
> > +#ifdef __KERNEL__
> > +#include <linux/types.h>
> > +#else
> > +#include <stdint.h>
> > +#endif
> >  
> >  #define F_SETLEASE	(F_LINUX_SPECIFIC_BASE + 0)
> >  #define F_GETLEASE	(F_LINUX_SPECIFIC_BASE + 1)  
> 
> I had to restart linux-next today, so I used the patch instead of
> the old version of the vfs-brauner tree.

I am still applying this merge fix patch ... please apply it.

-- 
Cheers,
Stephen Rothwell